package org.ferris.net;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * Defines error codes and messages for exceptions.
 * 
 * @author <a href="mailto:mjremijan@yahoo.com">Mike Remijan</a>
 */
public enum NetExceptionCode
{		  	
	NET00001 {
		public String getMessage(Object...messageParams) {
			return getString("NET00001", messageParams);
		} 
	}
	
	, NET00002 {
		public String getMessage(Object...messageParams) {
			return getString("NET00002", messageParams);
		} 
	}

	, NET00003 {
		public String getMessage(Object...messageParams) {
			return getString("NET00003", messageParams);
		} 
	}	

	, NET00004 {
		public String getMessage(Object...messageParams) {
			return getString("NET00004", messageParams);
		} 
	}
        
        , NET00005 {
		public String getMessage(Object...messageParams) {
			return getString("NET00005", messageParams);
		} 
	}
        
        , NET00006 {
		public String getMessage(Object...messageParams) {
			return getString("NET00006", messageParams);
		} 
	}
	
	;
	public abstract String getMessage(Object...messageParams);
	
	private static ResourceBundle rb = ResourceBundle.getBundle(NetExceptionCode.class.getName());
	
	private static String getString(String key, Object... args) {
		String pattern = rb.getString(key);
		if (args.length > 0) {
			pattern = MessageFormat.format(pattern, args);
		}
		return pattern;
	}
}
